package moe.hazu.tinkeringabnormally.data.material;

import net.minecraft.data.DataGenerator;
import net.minecraftforge.common.data.ExistingFileHelper;
import slimeknights.tconstruct.library.client.data.material.AbstractMaterialRenderInfoProvider;
import slimeknights.tconstruct.library.client.data.material.AbstractMaterialSpriteProvider;

public class MaterialRenderInfoProvider extends AbstractMaterialRenderInfoProvider {
    public MaterialRenderInfoProvider(DataGenerator gen, AbstractMaterialSpriteProvider spriteProvider, ExistingFileHelper existingFileHelper) {
        super(gen, spriteProvider, existingFileHelper);
    }

    @Override
    protected void addMaterialRenderInfo() {
        buildRenderInfo(MaterialIds.willow);
        buildRenderInfo(MaterialIds.pine);
        buildRenderInfo(MaterialIds.cherry);
        buildRenderInfo(MaterialIds.wisteria);
        buildRenderInfo(MaterialIds.rosewood);
        buildRenderInfo(MaterialIds.morado);
        buildRenderInfo(MaterialIds.yucca);
        buildRenderInfo(MaterialIds.aspen);
        buildRenderInfo(MaterialIds.laurel);
        buildRenderInfo(MaterialIds.kousa);
        buildRenderInfo(MaterialIds.grimwood);
        buildRenderInfo(MaterialIds.driftwood);
        buildRenderInfo(MaterialIds.river);
        buildRenderInfo(MaterialIds.azalea);
    }

    @Override
    public String getName() {
        return "Tinkering Abnormally Material Render Info Provider";
    }
}
